Error on Battlefield 1942

Electronic arts Battlefield 1942
February 19, 2010 at 19:09:35
Specs: Windows XP
Alright I bought a copy of Battlefield 1942 and I got it all installed. But when I try to connect to a server it says "Error: Wrong Version! Want to update now?" Im completly stumped on this problem because I downloaded a patch for the game and it still does this. Does anyone know what I could do?

See More: Error on Battlefield 1942

Report •

February 19, 2010 at 22:07:16
Make sure you have version 1.6 (install that one first), and version 1.6 to 1.61b incremental patch (install this second).

I installed this game a few weeks ago after a 2 year layoff. The procedure I mentioned above allowed me to play the game online with no issues.

Report •

February 26, 2010 at 18:19:53
Sorry, but that didnt work. :(

Report •

Related Solutions

Ask Question